"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorMessage = void 0;
const axios_1 = require("axios");
function getErrorMessage(e) {
    var _a, _b, _c, _d, _e, _f;
    if ((0, axios_1.isAxiosError)(e)) {
        console.warn(e);
        // this is a timeout error POST /code, don't show as error, GET new code
        if (((_a = e.config) === null || _a === void 0 ? void 0 : _a.method) === 'post' && ((_b = e.response) === null || _b === void 0 ? void 0 : _b.status) === 408) {
            return undefined;
        }
        if (((_c = e.config) === null || _c === void 0 ? void 0 : _c.method) === 'get' && ((_d = e.response) === null || _d === void 0 ? void 0 : _d.status) === 404) {
            return 'Module not found';
        }
        if ((_e = e.response) === null || _e === void 0 ? void 0 : _e.data.message) {
            return `${e.response.data.message}`;
        }
        if ((_f = e.response) === null || _f === void 0 ? void 0 : _f.data.error) {
            return e.response.data.error;
        }
    }
    return e.toString();
}
exports.getErrorMessage = getErrorMessage;
