import React from 'react';
import * as orderingCore from '@orderingstack/ordering-core';
export interface IAuthProps {
    roles?: string[];
    children: React.ReactNode;
    refreshStorageHandler?: orderingCore.IRefreshTokenStorageHandler;
    DeviceCodeComp?: React.FC<IDeviceLoginState>;
}
export interface IDeviceLoginState {
    isDeviceCode: boolean;
    code?: string;
    secret?: string;
    error?: string;
    countDown?: number;
    tenant: string;
}
export default function AuthWrapper(props: IAuthProps): JSX.Element;
export declare function ShowWhenAuthenticated(props: any): JSX.Element | null;
export declare function ShowWhenNotAuthenticated(props: any): JSX.Element | null;
export declare function ShowWhenNotAuthenticatedAnResolved(props: any): JSX.Element | null;
export declare function ShowWhenAuthenticating(props: any): JSX.Element | null;
